Subject: Re: Rsync and FAT32
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: "Panos Katergiathis" <[email-masked]>
Date: Thu, 10 Mar 2011 15:11:12 +0200
List-Id: <cygwin.cygwin.com>

On Wed, 09 Mar 2011 17:39:33 -0500, Larry Hall (Cygwin) wrote:
>
> On 3/9/2011 4:34 PM, Panos Katergiathis wrote:
> >
> > rsync -e 'ssh -p 22 -l root' -z --delete-excluded --verbose
> > --recursive --delete --update --exclude-from=exclude.rs root@<server
> > name>:xms/home /cygdrive/e/MyNetworkServers/XMS-home
>
> So you're copying from the Linux machine to the Windows machine, just as you
> stated the first time.  I don't see any flags (-a, -p, --chmod, -A,
> --fake-super, etc.) here that would set the permissions as you would need
> them on the Windows machine.  I recommend doing so.

I think Larry found your problem. You can use the --archive option (good
when rsyncing for an exact backup).

Since you are using net connection, please look also at --whole-file option.
Also, your ssh user and rsync user are the same, so you can use --rsh=ssh
instead of using the -e option.

Ehud.

--
 Ehud Karni           Tel: +972-3-7966-561  /"\
 Mivtach - Simon      Fax: +972-3-7976-561  \ /  ASCII Ribbon Campaign
 Insurance agencies   (USA) voice mail and   X   Against   HTML   Mail
 http://www.mvs.co.il  FAX:  1-815-5509341  / \
 GnuPG: 98EA398D <http://www.keyserver.net/>    Better Safe Than Sorry

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple